Subject: bug#21972: 24.5; Running 'bash -i -c' via shell-command hangs on FreeBSD

From: Stefan Kangas <[email-masked]>
Date: Mon, 14 Oct 2019 22:50:22 +0200

Eli Zaretskii <[email-masked]> writes:

> > If bash hangs, shouldn't that be reported as a bug in bash instead?
>
> It's possible that your Bash is newer, and this bug was fixed since
> then.

True.

> In general, it sounds like Bash tries to read from its stdin, and in
> call-process that is... what?  By contrast, by default we communicate
> with async subprocess via PTYs (on Posix hosts), which is what Bash
> expects in an interactive session.
>
> IOW, I cannot understand why would someone call "bash -i" in a
> non-interactive command.

Indeed.

> > Or should Emacs somehow do better with a hanging process?
>
> Like what?

No idea, that's why I'm asking.  But if you don't know either, then I
guess that means that there is nothing to do here; and this is not a
bug in Emacs.

Best regards,
Stefan Kangas